package com.zyc.system.mapper;

import java.util.List;
import com.zyc.system.domain.ApiInterface;

/**
 * API接口清单Mapper接口
 * 
 * @author zyc
 * @date 2024-12-26
 */
public interface ApiInterfaceMapper 
{
    /**
     * 查询API接口清单
     * 
     * @param id API接口清单主键
     * @return API接口清单
     */
    public ApiInterface selectApiInterfaceById(Integer id);

    /**
     * 查询API接口清单列表
     * 
     * @param apiInterface API接口清单
     * @return API接口清单集合
     */
    public List<ApiInterface> selectApiInterfaceList(ApiInterface apiInterface);

    /**
     * 新增API接口清单
     * 
     * @param apiInterface API接口清单
     * @return 结果
     */
    public int insertApiInterface(ApiInterface apiInterface);

    /**
     * 修改API接口清单
     * 
     * @param apiInterface API接口清单
     * @return 结果
     */
    public int updateApiInterface(ApiInterface apiInterface);

    /**
     * 删除API接口清单
     * 
     * @param id API接口清单主键
     * @return 结果
     */
    public int deleteApiInterfaceById(Integer id);

    /**
     * 批量删除API接口清单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteApiInterfaceByIds(Integer[] ids);
}
